All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::GpuResources Class Referenceabstract

`#include <GpuResources.h>`

Inheritance diagram for faiss::gpu::GpuResources:

## Public Member Functions

virtual void | initializeForDevice (int device)=0
virtual cublasHandle_t | getBlasHandle (int device)=0
virtual cudaStream_t | getDefaultStream (int device)=0
virtual std::vector< cudaStream_t > | getAlternateStreams (int device)=0
virtual DeviceMemory & | getMemoryManager (int device)=0
virtual std::pair< void *, size_t > | getPinnedMemory ()=0
virtual cudaStream_t | getAsyncCopyStream (int device)=0
cublasHandle_t | getBlasHandleCurrentDevice ()
cudaStream_t | getDefaultStreamCurrentDevice ()
std::vector< cudaStream_t > | getAlternateStreamsCurrentDevice ()
DeviceMemory & | getMemoryManagerCurrentDevice ()
cudaStream_t | getAsyncCopyStreamCurrentDevice ()

## Detailed Description

Base class of GPU-side resource provider; hides provision of cuBLAS handles, CUDA streams and a temporary memory manager

Definition at line 23 of file GpuResources.h.

## Member Function Documentation

virtual void faiss::gpu::GpuResources::initializeForDevice | ( | int | device | ) |

pure virtual

Call to pre-allocate resources for a particular device. If this is not called, then resources will be allocated at the first time of demand

Implemented in faiss::gpu::StandardGpuResources.

The documentation for this class was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/gpu/GpuResources.h
- /data/users/matthijs/github_faiss/faiss/gpu/GpuResources.cpp